MSGINIT(1)

NOM
msginit — Initialisation d’un catalogue de messages

SYNOPSIS
msginit [OPTION]

DESCRIPTION

Cet utilitaire permet de créer un nouveau fichier PO en initialisant les méta-informations avec les valeurs extraites de l’environnement de l’utilisateur.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Emplacement du fichier d'entrée :

-i, --input=FICHIER_ENTRÉE
    fichier POT d’entrée

Si aucun fichier d’entrée n’est spécifié, le fichier POT est recherché dans le répertoire actuel. Si « - » est spécifié, c’est l’entrée standard qui est lue.

  Emplacement du fichier de sortie :

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier PO spécifié

Si aucun fichier de sortie n’est spécifié, le chemin de ce dernier dépendra de l’option --locale ou des paramètres régionaux définis pour l’utilisateur. Si le fichier de sortie existe déjà, il est fusionné avec le fichier d'entrée comme avec msgmerge. Si « - » est spécifié, les résultats seront écrits sur la sortie standard.

  Syntaxe du fichier d'entrée :

-P, --properties-input
    le fichier d'entrée a la syntaxe .properties de Java

--stringtable-input
    le fichier d'entrée a la syntaxe .strings de NeXTstep/GNUstep

  Présentation de la sortie :

-l, --locale=LL_CC[.CODAGE]
    définition des paramètres régionaux de la cible

--no-translator
    présumer que le fichier PO est généré automatiquement

--color
    toujours utiliser la couleur et d'autres attributs de texte

--color=QUAND
    QUAND utiliser la couleur et d'autres attributs de texte. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

-p, --properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

-w, --width=LARGEUR
    définir la LARGEUR de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msginit est disponible dans un manuel Texinfo. Si les programmes info et msginit sont correctement installés, la commande

    info msginit

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.